[@bigcommerce/checkout-sdk](../README.md) / StepTracker

# Interface: StepTracker

## Table of contents

### Methods

- [trackCheckoutStarted](StepTracker.md#trackcheckoutstarted)
- [trackOrderComplete](StepTracker.md#trackordercomplete)
- [trackStepCompleted](StepTracker.md#trackstepcompleted)
- [trackStepViewed](StepTracker.md#trackstepviewed)

## Methods

### trackCheckoutStarted

▸ **trackCheckoutStarted**(): `void`

#### Returns

`void`

___

### trackOrderComplete

▸ **trackOrderComplete**(): `void`

#### Returns

`void`

___

### trackStepCompleted

▸ **trackStepCompleted**(`step`): `void`

#### Parameters

| Name | Type |
| :------ | :------ |
| `step` | `string` |

#### Returns

`void`

___

### trackStepViewed

▸ **trackStepViewed**(`step`): `void`

#### Parameters

| Name | Type |
| :------ | :------ |
| `step` | `string` |

#### Returns

`void`
